[0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Having trouble installing or compiling FreeCAD? Get help here.
reox
Posts: 554
Joined: Sat Aug 13, 2016 10:06 am

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby reox » Sat Apr 14, 2018 10:32 am

kkremitzki wrote:
Sat Apr 14, 2018 10:22 am
Try sudo apt remove \*opencascade\* and re-attempt upgrading freecad-daily.
Yes, thats the way to go ;) But still - you can install different -doc version. I think usually there should be a dependency on the doc package to the version of the binary package.
User avatar
kkremitzki
Posts: 1557
Joined: Thu Mar 03, 2016 9:52 pm
Location: Texas

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby kkremitzki » Sat Apr 14, 2018 10:35 am

reox wrote:
Sat Apr 14, 2018 10:32 am
kkremitzki wrote:
Sat Apr 14, 2018 10:22 am
Try sudo apt remove \*opencascade\* and re-attempt upgrading freecad-daily.
Yes, thats the way to go ;) But still - you can install different -doc version. I think usually there should be a dependency on the doc package to the version of the binary package.
It's almost surely a bug just like requiring removal of opencascade packages to install OCCT packages (which is just a rename on top of a version bump) but since the workaround is so simple it's something we can address going forward as we refine the packaging.
Like my FreeCAD work? I'd appreciate any level of support via Patreon, Liberapay, or PayPal! Read more about what I do at my blog.
cflin
Posts: 49
Joined: Sun May 14, 2017 10:21 pm

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby cflin » Sat Apr 14, 2018 8:46 pm

I got an error about the documentation installation again today (April 14), but otherwise FC18 itself seems to have been upgraded just fine:

Code: Select all

...
Error in `/usr/share/doc-base/freecad-daily-development-documentation', line 14: `Index' value missing for format `html'.
Note: `install-docs --verbose --check file_name' may give more details about the above error.
Registering documents with dwww...
Registering documents with scrollkeeper...
Setting up freecad-daily (0.18~beta1+git201804141331~ubuntu16.04.1) ...
Setting up freecad-daily-doc (0.18~beta1+git201804141331~ubuntu16.04.1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for menu (2.1.47ubuntu1) ...
PS. I am not sure why "ubuntu16.04.1" is shown. I am running ubuntu's updated kernel 4.13.0-38, so shouldn't it be "ubuntu16.04.3" ?
User avatar
sgrogan
Posts: 5071
Joined: Wed Oct 22, 2014 5:02 pm

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby sgrogan » Sat Apr 14, 2018 9:11 pm

cflin wrote:
Sat Apr 14, 2018 8:46 pm
`/usr/share/doc-base/freecad-daily-development-documentation'
Where does this come from? I don't think we have this.
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby NormandC » Sat Apr 14, 2018 9:50 pm

cflin wrote:
Sat Apr 14, 2018 8:46 pm
PS. I am not sure why "ubuntu16.04.1" is shown. I am running ubuntu's updated kernel 4.13.0-38, so shouldn't it be "ubuntu16.04.3" ?
It's automatically appended to package names by Launchpad at build time. It's always a 1 at the end. Before that the code name would be added instead (xenial1). Don't ask me why!

sgrogan wrote:
Sat Apr 14, 2018 9:11 pm
Where does this come from? I don't think we have this.
Have you tried installing the freecad-daily-doc package? I just did, and I can confirm the error.

Besides, why are you updating the documentation every time there's an update? The package never changes from one version to the other, it just got updated for 0.17, and it won't again until the official 0.18 release. So it's really just a waste of bandwidth to update it again and again. You can just install the freecad-doc one and uninstall freecad-daily-doc.

There's been talk among the FreeCAD devs of putting the documentation in a separate repository than the source code. I think it would be good, then on the PPA it would not have to be built with each version of Ubuntu, or each time we push an update on the freecad/freecad-daily package.
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby NormandC » Sat Apr 14, 2018 10:00 pm

cflin wrote:
Sat Apr 14, 2018 8:46 pm
Error in `/usr/share/doc-base/freecad-daily-development-documentation', line 14: `Index' value missing for format `html'.
We really have this file installed with freecad-daily-doc.

And we also have a /usr/share/doc-base/freecad-development-documentation file for the freecad package.
cflin
Posts: 49
Joined: Sun May 14, 2017 10:21 pm

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby cflin » Sat Apr 14, 2018 10:07 pm

Besides, why are you updating the documentation every time there's an update? The package never changes from one version to the other, it just got updated for 0.17, and it won't again until the official 0.18 release.
Well, two separate updates, one for FC18 itself, and one for the doc, show up. If the doc did not change, then why did it show up as an update?
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby NormandC » Sat Apr 14, 2018 10:14 pm

Unfortunately it is always built with each update, this we have no control on. But the content of the doc stays unchanged.

So what you can do is block the package version once it is installed. It depends on what package manager you're using. And as I said, you could uninstall it and only keep freecad-doc instead, it won't change as often.
User avatar
onesz
Posts: 87
Joined: Fri Nov 11, 2011 8:40 am

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby onesz » Sun Apr 15, 2018 8:03 pm

Now I closed my github issue, because as of today
the PPA update works.

Thank you dev team!

OS: Ubuntu 16.04.4 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.13532 (Git)
Build type: None
Branch: master
Hash: 4adeb7702da610da2c7f3014217044167109f0d6
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
martinsa
Posts: 1
Joined: Thu Apr 19, 2018 5:31 pm

Re: [0.17 release/0.18 daily/0.16 legacy] Ubuntu PPA users please read this

Postby martinsa » Thu Apr 19, 2018 5:33 pm

Hi there,

I notice there is a typo in the https://www.freecadweb.org/wiki/Install_on_Unix :

sudo apt-get install freecad freecad-doc && apt-get upgrade

should be :

sudo apt-get install freecad freecad-doc && sudo apt-get upgrade

otherwise you get an error

I cannot modify the page since I'm not an admin. Please can an admin modify it ?

Thanks,

Best,
Sam